summaryrefslogtreecommitdiff
path: root/release.sh
diff options
context:
space:
mode:
authorDan Nicholson <dbn.lists@gmail.com>2010-11-28 09:25:53 -0800
committerDan Nicholson <dbn.lists@gmail.com>2011-03-12 12:54:33 -0800
commit10f72e43096e857fe2d27df554b88496ee320c4d (patch)
tree926ec66859d92becab084def3909d6c15e92bbe0 /release.sh
parent3920d4e93f8eea4597ad2be3610e638cb1be7580 (diff)
release.sh: Update jhbuild moduleset with --moduleset
In order to keep the katamari moduleset up to date with current tarball information, have release.sh update the file when new releases are made. This is enabled by passing a module file with --moduleset. Signed-off-by: Dan Nicholson <dbn.lists@gmail.com> Reviewed-by: Dirk Wallenstein <halsmit@t-online.de>
Diffstat (limited to 'release.sh')
-rwxr-xr-xrelease.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/release.sh b/release.sh
index ea4d9c9..5228a30 100755
--- a/release.sh
+++ b/release.sh
@@ -12,6 +12,7 @@ host_xorg=xorg.freedesktop.org
host_dri=dri.freedesktop.org
user=
remote=origin
+moduleset=
usage()
{
@@ -24,6 +25,7 @@ Options:
--help this help message
--ignore-local-changes don't abort on uncommitted local changes
--remote git remote where the change should be pushed (default "origin")
+ --moduleset jhbuild moduleset to update with relase info
HELP
}
@@ -107,6 +109,11 @@ while [ $# != 0 ]; do
remote=$1
shift
;;
+ --moduleset)
+ shift
+ moduleset=$1
+ shift
+ ;;
--*)
echo "error: unknown option"
usage
@@ -198,6 +205,14 @@ if [ -z "$tag_previous" ] ||
exit 1
fi
+if [ -n "$moduleset" ]; then
+ echo "checking for moduleset"
+ if ! [ -w "$moduleset" ]; then
+ echo "moduleset $moduleset does not exist or is not writable"
+ exit 1
+ fi
+fi
+
if [ "$section" = "libdrm" ]; then
section_path="libdrm"
srv_path="/srv/$host_dri/www/$section_path"
@@ -236,6 +251,13 @@ echo "generating announce mail template, remember to sign it"
gen_announce_mail >$announce
echo " at: $announce"
+if [ -n "$moduleset" ]; then
+ echo "updating moduleset $moduleset"
+ modulardir=`dirname "$0"`
+ sha1sum=`cd $tarball_dir && $SHA1SUM $targz | cut -d' ' -f1`
+ $modulardir/update-moduleset.sh $moduleset $sha1sum $targz
+fi
+
echo "installing release into server"
scp $tarball_dir/$targz $tarball_dir/$tarbz2 $user$host_people:$srv_path